Summary: rbbr - The Ruby Browser
Name: rbbr

%global momorel 2

Version: 0.6.0
Release: %{momorel}m%{?dist}

Group: Development/Tools
License: Ruby
URL: http://ruby-gnome2.sourceforge.jp/

Source0: http://dl.sourceforge.net/sourceforge/ruby-gnome2/%{name}-%{version}-withapi.tar.gz
NoSource: 0
Source1: rbbr.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: ruby

Requires: ruby
Requires: ruby-gtk2 >= 0.8.1

Conflicts: ruby-gettext-package < 0.5.3
Conflicts: ri < 0.8a
Conflicts: refe < 0.8.0

%description
rbbr (RuBy BRowser) is an application to browse modules/classes
hierarchy and their constants and methods. If the optionally modules
to refer documents are installed, you can also refer the document of
methods in the browser.

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{name}-%{version}-withapi

%build
ruby install.rb --quiet config \
    --bin-dir=%{_bindir} \
    --data-dir=%{_datadir} \
    --rb-dir=%{ruby_libdir} \
    --so-dir=%{ruby_archdir}
ruby install.rb --quiet setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

ruby install.rb --quiet config \
    --bin-dir=%{buildroot}%{_bindir} \
    --data-dir=%{buildroot}%{_datadir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir}
ruby install.rb --quiet install

%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -m 0644 %{S:1} %{buildroot}%{_datadir}/applications

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README README.ja
%{_bindir}/rbbr
%{ruby_libdir}/rbbr.rb
%{ruby_libdir}/rbbr
%{_datadir}/applications/rbbr.desktop
%{_datadir}/rbbr
%{_datadir}/locale/*/*/*

%changelog
* Tue Oct 18 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.0-2m)
- requires ruby-gtk2 instead of ruby-gnome2

* Sat Mar 05 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-1m)
- version up

* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-3m)
- move rbbr.desktop to %%{_datadir}/applications/

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.5.1-2m)
- revised spec for rpm 4.2.

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.1-1m)
- version 0.5.1.

* Sun Dec 07 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-1m)
- version up.

* Tue Sep 09 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.0-1m)
- version up.

* Mon Aug 11 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.1-1m)
- version up.

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.0-2m)
- patches are no longer needed.

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.0-1m)
- version up.

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.2-6m)
- patch for ruby-1.8.0.
- add GNOME desktop file.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.2-5m)
- merge from ruby-1_8-branch.

* Sun Aug 03 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-4m)
- rebuild against ruby-1.8.0.

* Fri Apr 11 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-3m)
- for refe-0.7.0.

* Tue Jan 21 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-2m)
- modify RBBR::UI::GTK::DocViewer for Kernel#any.

* Tue Jan 21 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-1m)
- first specfile.
